Skip to navigation

Cancel authorization

View as Markdown

Allows you to cancel an authorization. For gateway integrations that support this operation, see Delayed Capture.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

payment-method-idstringRequired
The unique ID of the payment method where the authorization is cancelled.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Request

This endpoint expects an object.
gatewayOrderIdstringRequired
The order ID for the specific gateway. The specified order ID will be used in transaction authorization. If you specify an empty value for this field, Zuora will generate an ID and you will have to associate this ID with your order ID by yourself if needed. It is recommended to specify an ID for this field.
transactionIdstringRequired
The ID of the transaction.
accountIdstringOptional
The ID of the customer account.
accountNumberstringOptional
The number of the customer account.
gatewayOptionsobjectOptional

The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in Zuora Knowledge Center.

Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.

paymentGatewayIdstring or nullOptional

The ID of the payment gateway instance.

  • If this field is specified and it is a Worldline Global Collect gateway, the specified gateway is used.
  • If this field is not specified or is not a Worldline Global Collect gateway, the cancellation operation uses the payment gateway originally used for the authorization.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
gatewayOrderIdstringOptional
The order ID for the specific gateway. The specified order ID will be used in transaction authorization. If you specify an empty value for this field, Zuora will generate an ID and you will have to associate this ID with your order ID by yourself if needed. It is recommended to specify an ID for this field.
resultCodestringOptional

The result code of the request.

0 indicates that the request succeeded, and the following values indicate that the request failed:

  • 1: The request is declined.
  • 7: The field format is not correct.
  • 10: Client connection has timed out.
  • 11: Host connection has timed out.
  • 12: Processor connection has timed out.
  • 13: Gateway server is busy.
  • 20: The card type is not supported.
  • 21: The merchant account information is invalid.
  • 22: A generic error occurred on the processor.
  • 40: The card type has not been set up yet.
  • 41: The limit for a single transaction is exceeded.
  • 42: Address checking failed.
  • 43: Card security code checking failed.
  • 44: Failed due to the gateway security setting.
  • 45: Fraud protection is declined.
  • 46: Address checking or card security code checking failed (for Authorize.net gateway only).
  • 47: The maximum amount is exceeded (for Authorize.net gateway only).
  • 48: The IP address is blocked by the gateway (for Authorize.net gateway only).
  • 49: Card security code checking failed (for Authorize.net gateway only).
  • 60: User authentication failed.
  • 61: The currency code is invalid.
  • 62: The transaction ID is invalid.
  • 63: The credit card number is invalid.
  • 64: The card expiration date is invalid.
  • 65: The transaction is duplicated.
  • 66: Credit transaction error.
  • 67: Void transaction error.
  • 90: A valid amount is required.
  • 91: The BA code is invalid.
  • 92: The account number is invalid.
  • 93: The ACH transaction is not accepted by the merchant.
  • 94: An error occurred for the ACH transaction.
  • 95: The version parameter is invalid.
  • 96: The transaction type is invalid.
  • 97: The transaction method is invalid.
  • 98: The bank account type is invalid.
  • 99: The authorization code is invalid.
  • 200: General transaction error.
  • 500: The transaction is queued for submission.
  • 999: Unknown error.
  • -1: An error occurred in gateway communication.
  • -2: Idempotency is not supported.
  • -3: Inquiry call is not supported.
resultMessagestringOptional
The corresponding request ID.
successbooleanOptional
Indicates whether the call succeeded.
transactionIdstringOptional
The ID of the transaction.

Errors

4XX
Client Request Error
500
Internal Server Error